using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability304.Domain;

public class TaobaoFilesGetTopDownloadRecordDo
{

    /*
        下载链接
    */
    private string? url;


    /*
        文件创建时间
    */
    private DateTime? created;


    /*
        下载链接状态。1:未下载。2:已下载
    */
    private long? status;



    [JsonPropertyName("url")]
    public string? Url
    {
        get => url;
        set => this.url = value;
    }

    [JsonPropertyName("created")]
    public DateTime? Created
    {
        get => created;
        set => this.created = value;
    }

    [JsonPropertyName("status")]
    public long? Status
    {
        get => status;
        set => this.status = value;
    }

}

